# ClientFromEnv

class kittycad.ClientFromEnv(base_url='https://api.kittycad.io', token=None, *, cookies=NOTHING, headers=NOTHING, timeout=50.0, verify_ssl=True)

  Bases: `kittycad.client.Client`

  A Client which has been authenticated for use on secured endpoints that uses the KITTYCAD_API_TOKEN environment variable for the authentication token.

  Methods Summary

  `get_headers`() | Get headers to be used in authenticated endpoints

  Methods Documentation

  get_headers()

    Get headers to be used in authenticated endpoints

    Return type

      `Dict`[`str`, `str`]